Skip to main content
`Ctrl`+`K`

# DMCopyDMTS

copies a `DMTS` context to a new `DM`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMCopyDMTS(DM dmsrc, DM dmdest)

Logically Collective

## Input Parameters

- dmsrc - `DM` to obtain context from

- dmdest - `DM` to add context to

## Note

The context is copied by reference. This function does not ensure that a context exists.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `DMGetDMTS()`, `TSSetDM()`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages